View Issue Details

IDProjectCategoryView StatusLast Update
12509Bug reportsOtherpublic2018-01-15 10:39
Reportertammo Assigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Target Version3.0.xFixed in Version3.0.0-rc.x 
Summary12509: Too much white space in admin UI and some other things
DescriptionPlease see attached image. Partly due to

body .row {
    margin-right: 0;
    margin-left: 0;
}

which I think is mis-using Bootstrap and due to:

.side-body {
    min-height: 800px;
    margin-left: 320px;
}

where margin-left is 320px, while the left hand column is only 300 px.

BTW: why use col-sm-x when (as I thought) the admin user interface only is supposed to work on screens wider than 1280 px. I can understand going down to 1024, but lower?
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.0 GIT
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL
Server OS (if known)W10
Webserver software & version (if known)Your settings
PHP VersionYour settings

Activities

tammo

tammo

2017-07-03 20:17

developer  

before.png (109,079 bytes)
tammo

tammo

2017-07-03 20:29

developer   ~44015

I also saw many times .col-xx-xx used on other tags than div. Although there is no law that forbids this, I feel (but other may make this stronger) that is not not right.

h4.col-sm-12 should probably be <div class="col-sm-12 h4">

But please correct me if I am wrong.
tammo

tammo

2017-07-03 20:35

developer   ~44016

billdacat made a lot of changes that possibly address this, so maybe I am calling too early.
tammo

tammo

2017-07-03 21:07

developer  

admin (2).png (123,003 bytes)
markusfluer

markusfluer

2017-11-23 14:31

administrator   ~45126

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=25073
markusfluer

markusfluer

2017-11-23 14:31

administrator   ~45127

Added cogs and refurbished the basic overview with bs-panels
c_schmitz

c_schmitz

2018-01-15 10:39

administrator   ~45731

Version 3.0.3 released.

Related Changesets

LimeSurvey: develop 2a60fee3

2017-11-23 14:30:50

markusfluer

Details Diff
Fixed issue 12509: Too much white space in admin UI and some other things Affected Issues
12509
mod - application/controllers/admin/surveyadmin.php Diff File
mod - application/core/Survey_Common_Action.php Diff File
add - application/views/admin/survey/subview/_survey_quickaction.php Diff File
mod - application/views/admin/survey/surveySummary_view.php Diff File
mod - assets/packages/adminpanel/build/lsadminpanel.js Diff File
mod - assets/packages/adminpanel/build/lsadminpanel.js.map Diff File
mod - assets/packages/adminpanel/build/lsadminpanel.min.js Diff File
mod - assets/packages/adminpanel/src/components/sidebar.vue Diff File
mod - assets/packages/adminpanel/src/main.js Diff File
mod - assets/packages/adminpanel/src/store/vuex-store.js Diff File

Issue History

Date Modified Username Field Change
2017-07-03 20:17 tammo New Issue
2017-07-03 20:17 tammo Status new => assigned
2017-07-03 20:17 tammo Assigned To => markusfluer
2017-07-03 20:18 tammo File Added: before.png
2017-07-03 20:29 tammo Note Added: 44015
2017-07-03 20:35 tammo Note Added: 44016
2017-07-03 20:50 tammo File Added: admin.png
2017-07-03 20:51 tammo Summary Too much white space in admin UI => Too much white space in admin UI and some other things
2017-07-03 21:07 tammo File Deleted: admin.png
2017-07-03 21:07 tammo File Added: admin (2).png
2017-11-23 14:31 markusfluer Changeset attached => LimeSurvey develop 2a60fee3
2017-11-23 14:31 markusfluer Note Added: 45126
2017-11-23 14:31 markusfluer Resolution open => fixed
2017-11-23 14:31 markusfluer Status assigned => resolved
2017-11-23 14:31 markusfluer Fixed in Version => 3.0.0-rc.x
2017-11-23 14:31 markusfluer Note Added: 45127
2018-01-15 10:39 c_schmitz Note Added: 45731
2018-01-15 10:39 c_schmitz Status resolved => closed